package kraft.gateway;

import java.net.*;

//
// the gateway entry class
//
public class GatewayEntry
{
private String site;
private String protocol;
private String host;
private int port;

//
// constructor using the default "socket" protocol
//
public GatewayEntry(String site,String host,int port)
	throws MalformedURLException
	{
	this(site,"socket",host,port);
	}

//
// constructor w/ site & components
//
public GatewayEntry(String site,String protocol,String host,int port)
	throws MalformedURLException
	{
	this.site=site;
	this.protocol=protocol;
	this.host=host;
	this.port=port;
	}


public String get_site()
	{
	return(site);
	}

public String get_protocol()
	{
	return(protocol);
	}

public String get_host()
	{
	return(host);
	}

protected int get_port()
	{
	return(port);
	}
}

