%
% auto-detecting front-end
%
:- module(gettime,[	gettime/1,
			gettime/2
		]).

:- use_module('util/prolog_detect').		%load Prolog detecting module
:- use_module('util/machine_type').		%load platform detecting module
:- use_module('util/flatten').			%load the list flattening module

:-	prolog_detect:prolog(Prolog),			%get Prolog type
	machine_type:get_machine_type(Machine),		%get machine type
	name(Machine,S1),
	name(Prolog,S2),
	name(gettime,S3),
	flatten([S1,"_",S2,"_",S3],S),			%compose file name string
	name(File,S),
	ensure_loaded(File).				%load file

