%
% HOST and HOSTTYPE environment var to machine type mappings
%
% There are two environment variables (HOST & HOSTTYPE) that
% you can use to specfy your hardware platform.
% In any case, they all map to sparc,sgi or hp.
%
% Please modify this file to reflect the machine type in
% your working environment
%
%

%
% HOST env var mappings
% default is sgi
%

host_map(trogon,sparc).
host_map(hawk,sparc).
host_map(raven,sparc).
host_map(finch,sgi).
host_map(_,sgi).

%
% HOSTTYPE env var mappings
% default is sparc
%

hosttype_map(iris4d,sgi).
hosttype_map(sun4,sparc).
hosttype_map(_,sparc).
